package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.Ruta;

public interface CalcularPeajeDAO {
	public List<Object> buscarCasetasPeajeWithinTramo(Ruta ruta,Integer[] listCasetaPeaje);
	
	public int[] gerarSQLInserirPeajes(List<Ruta> lsRuta, OrgaoConcedente orgao, boolean usaICMS,Integer[] listCasetaPeaje) throws Exception;
	
	public List<Ruta> buscarRutaWithCasetaPeajeFromOrgao(OrgaoConcedente oc);
}
